%define name	vmailmgr
%define version	0.96.9
%define release	9rph
%define hdir	/var/www

%define build_91 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.1 ];then echo 1; else echo 0; fi)
%define build_90 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.0 ];then echo 1; else echo 0; fi)
%define build_cs21 %(if [ `awk '{print $5}' /etc/mandrake-release` = 2.1 ];then echo 1; else echo 0; fi)

%if %{build_91} || %{build_90} || %{build_cs21}
%define build_9x	1
%define pythondir	python2.2
%else
%define build_9x	0
%define pythondir	python1.5
%endif

Name:		%{name}
Summary:	Simple virtualizing POP3 password interface for qmail
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Servers
URL:		http://www.vmailmgr.org/
Source:		vmailmgr-%{version}.tar.bz2
Source1:	vmailmgr.init
Patch:		vmailmgr-0.96.9-omailfix.patch.bz2
Patch1:		vmailmgr-0.96.9-stringh.patch.bz2
Buildroot:	%{_tmppath}/%{name}-root
Obsoletes:	checkvpw
Provides:	checkpassword
Packager:	Vincent Danen <vdanen@mandrakesoft.com>
%if %{build_9x}
BuildPreReq:	gcc2.96 gcc2.96-c++
%endif

%description
Vmailmgr provides a virtualizing password-checking interface to
qmail-pop3d as well as both a delivery agent to automatically delivery
mail within a virtual domain and a set of tools to manage such a domain.

%package cgi
Summary:	CGI applications for vmailmgr
Group:		System/Servers
Requires:	%{name}-daemon = %{version}

%description cgi
This package contains CGI applications to allow web-based administration
of vmailmgr systems.

%package courier-imap
Summary:	Vmailmgr authentication module for Courier IMAP
Group:		System/Servers
Requires:	courier-imap

%description courier-imap
This package contains the vmailmgr authentication module to be used by
Courier IMAP.

%package daemon
Summary:	Vmailmgr daemon for CGIs
Group:		System/Servers
Requires:	supervise-scripts >= 2.2, ucspi-unix

%description daemon
This package contains the vmailmgrd daemon that provides virtual domain
manipulation services to support unprivileged clients like CGIs.

%package php
Summary:	PHP include files
Group:		Development/Other

%description php
This package contains the include files necessary to call VMailMgr
functions from PHP.

%package python
Summary:	Python library for accessing VMailMgr
Group:		Development/Python
%if %{build_9x}
Requires:	python >= 1.5
%else
Requires:	python >= 2.2
%endif

%description python
This package contains the Python library code necessary to call VMailMgr

%prep
%setup -q

%patch -p1 -b .omailfix
%patch1 -p1 -b .stringh

LDFLAGS="-s"; export LDFLAGS

%if %{build_9x}
export CC=gcc-$(gcc2-version) CXX=g++-$(gcc2-version) %configure
%else
%configure
%endif

#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
#  ./configure --prefix=%{_prefix}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}

make all

%install
for dir in var/vmailmgrd/service/vmailmgrd/log var/log/vmailmgrd \
	etc/rc.d/init.d etc/rc.d/rc{0,1,2,3,4,5,6}.d etc/vmailmgr
do
	mkdir -p %{buildroot}/$dir
done

make	prefix=%{buildroot}%{_prefix} \
	sbindir=%{buildroot}%{_sbindir} \
	bindir=%{buildroot}%{_bindir} \
	mandir=%{buildroot}%{_mandir} \
	cgidir=%{buildroot}%{hdir}/cgi-bin \
	pythonlibdir=%{buildroot}%{_libdir}/%{pythondir}/vmailmgr \
	phpdir=%{buildroot}%{hdir}/php \
	install-strip
install -m 755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/vmailmgr
install -m 755 scripts/vmailmgrd.run %{buildroot}/var/vmailmgrd/service/vmailmgrd/run
install -m 755 scripts/vmailmgrd-log.run %{buildroot}/var/vmailmgrd/service/vmailmgrd/log/run

pushd %{buildroot}%{_sysconfdir}/vmailmgr
echo users >user-dir
echo passwd >password-file
echo ./Maildir/ >default-maildir
echo maildir >maildir-arg-str
echo /var/vmailmgrd/service/vmailmgrd/socket >socket-file

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
if [ $# -eq 2 -a -f %{_sysconfdir}/vmailmgr.conf ]; then
  vconf2dir %{_sysconfdir}/vmailmgr.conf %{_sysconfdir}/vmailmgr
fi

%post daemon
chkconfig --add vmailmgr

%preun daemon
chkconfig --del vmailmgr

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS TODO doc/ChangeLog* doc/YEAR2000
%doc doc/*.txt commands/*.html doc/*.sgml
%doc cgi/vaddalias.html cgi/vchalias.html
%doc scripts/autoresponder.sh
%dir %{_sysconfdir}/vmailmgr
%config(missingok,noreplace) %verify(user,group,mode) /etc/vmailmgr/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files cgi
%defattr(-,root,root)
%doc cgi/*.html
%{hdir}/cgi-bin/listvdomain
%{hdir}/cgi-bin/vaddalias
%{hdir}/cgi-bin/vadduser
%{hdir}/cgi-bin/vchattr
%{hdir}/cgi-bin/vchforwards
%{hdir}/cgi-bin/vdeluser
%{hdir}/cgi-bin/vpasswd

%files courier-imap
%defattr(-,root,root)
%{_libdir}/courier-imap/libexec/authlib/*

%files daemon
%defattr(-,root,root)
%config %{_sysconfdir}/rc.d/init.d/vmailmgr
%{_sbindir}/vmailmgrd
%attr(1755,root,root) %dir /var/vmailmgrd/service/vmailmgrd
%dir /var/vmailmgrd/service/vmailmgrd/log
/var/vmailmgrd/service/vmailmgrd/log/run
/var/vmailmgrd/service/vmailmgrd/run
%attr(0700,root,root) /var/log/vmailmgrd

%files php
%defattr(-,root,root)
%doc php/vmail.features
%{hdir}/php/*

%files python
%defattr(-,root,root)
%{_libdir}/%{pythondir}/vmailmgr

%changelog
* Thu Apr 17 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-9rph
- finally get it to build for 9.x by forcing it to use gcc2.96 instead of
  the default gcc; this will cause some additional requires for 9.x systems
  (2.96 compat libs, etc.) but should work
- fix docs section
- for 9.x installs, use python2.2 not python1.5

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-8rph
- rebuild with rph extension

* Fri Oct  5 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-7mdk
- patch to enable it to build on Mandrake Linux 8.x

* Wed Jun 27 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-6mdk
- fix for getting oMail to work with vmailmgr (thanks to anonymous user
  on Freezer Burn)

* Sun May 13 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-5mdk
- rebuild

* Sun Mar 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-4mdk
- move /var/service to /var/vmailmgrd/service so it doesn't conflict with
  other processes controlled by supervise
- modified initscript to work with new service location as well remove old
  pidfile when service stops
- changed /var/run/svscan.pid to /var/run/vmailmgrd-svscan.pid so it does
  not conflict with qmail

* Sat Dec 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-3mdk
- provides checkpassword so we don't need to also install the checkpassword
  package normally used by qmail

* Wed Nov 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-2mdk
- replace the initscript with one that actually works

* Sun Oct 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.96.9-1mdk
- first mandrake build